<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: alt_contact.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header.php";
include LOCALE.LOCALESET."contact.php";

// Extra Locales
$locale['450'] = "Contact an Administrator";
$locale['451'] = "Senders IP Address: ";
$locale['452'] = "Guest Contact - No PM Reply!";
$locale['453'] = "Receivers inbox is full. Please contact another Admin";
$locale['454'] = "Flood Control Exceeded. Please try again later.";
$locale['455'] = "-------- Select --------";
$locale['456'] = "You must select an Admin";
// Dummy Senders User ID
$sender = "11";

$req = "<span style='color:#FF0000;'><strong>*</strong></span>\n";

add_to_title($locale['global_200'].$locale['450']);

if (isset($_POST['sendmessage'])) {
	$error = "";
	$message_receiver = stripinput($_POST['message_receiver']);
   	$sender_name = substr(stripinput(trim($_POST['sender_name'])), 0, 50);
	$sender_email = substr(stripinput(trim($_POST['sender_email'])), 0, 100);
	$message_subject = substr(str_replace(array("\r","\n","@"), "", descript(stripslash(trim($_POST['message_subject'])))), 0, 50);
	$message_text = descript(stripslash(trim($_POST['message_text'])));
	
	if ($message_receiver == "") {
		$error .= " <span class='alt'>".$locale['456']."</span><br />\n";
	}
	if ($sender_name == "") {
		$error .= " <span class='alt'>".$locale['420']."</span><br />\n";
	}
	if ($sender_email == "" || !preg_match("/^[-0-9A-Z_\.]{1,50}@([-0-9A-Z_\.]+\.){1,50}([0-9A-Z]){2,4}$/i", $sender_email)) {
		$error .= " <span class='alt'>".$locale['421']."</span><br />\n";
	}
	if ($message_subject == "") {
		$error .= " <span class='alt'>".$locale['422']."</span><br />\n";
	}
	if ($message_text == "") {
		$error .= " <span class='alt'>".$locale['423']."</span><br />\n";
	}
	if ($sendpm == 1) {
        $error .= " <span class='alt'>".$locale['453']."</span><br />\n";
    }
    if ($sendpm == 5) {
        $error .= " <span class='alt'>".$locale['454']."</span><br />\n";
    }
	
	$_CAPTCHA_IS_VALID = false;
	include INCLUDES."captchas/".$settings['captcha']."/captcha_check.php";
	if ($_CAPTCHA_IS_VALID == false) {
		$error .= " <span class='alt'>".$locale['424']."</span><br />\n";
	}
	if (!$error) {
	     require_once INCLUDES."infusions_include.php";
        $message = "<b>".strtoupper($locale['452'])."</b><br /><br /><b>".$sender_name."</b><br /><br />".$message_text."<br /><br />".$locale['403']." ".$sender_email."<br /><br />".$locale['451'].USER_IP."<br />";
        $send_pm = send_pm($message_receiver, $sender, $message_subject, $message);
	  }
	if ($error) {
		opentable($locale['450']);
		echo "<div style='text-align:center'><br />\n".$locale['442']."<br /><br />\n".$error."<br />\n";
		echo "<a href='".FUSION_SELF."'>".$locale['443']."</a></div><br />\n";
		closetable();
	} else {
		opentable($locale['450']);
		echo "<div style='text-align:center'><br />\n".$locale['440']."<br /><br />\n".$locale['441']."</div><br />\n";
		closetable();
	}

 } else {
 
  $user_list = ""; $message_text = "";
 
opentable($locale['450']);

    echo "<form id='userform' name='userform' method='post' action='".FUSION_SELF."'>\n";
	echo "<table class='tbl-border' align='center' width='80%'>\n<tr>\n";
	echo "<tr>\n";
	$level_name = array(102 => $locale['user2'], 103 => $locale['user3']);
	$result = dbquery("SELECT 
	                          user_id, 
	                          user_name,  
	                          user_level 
	                          FROM ".DB_USERS." 
	                          WHERE user_level !='101' 
	                          ORDER BY user_level DESC, user_name
	                          ");
	echo "<td class='tbl' align='right'>".$locale['user2'].":</td>\n";
	echo "<td class='tbl'>\n";
	
		while ($data = dbarray($result)) {
	$user_list .= "<option value='".$data['user_id']."'>".$data['user_name']." | ".$level_name[$data['user_level']]."</option>\n";
	       }
	echo "<select name='message_receiver' class='textbox'>\n<option value=''>".$locale['455']."</option>\n".$user_list."</select>\n";
    echo "</td>\n";
    echo "<td class='tbl'>".$req."</td>\n";
	echo "</tr><tr>\n";
	echo "<td class='tbl' align='right'>".$locale['402']."</td>\n";
	echo "<td class='tbl'><input type='text' name='sender_name' maxlength='30' class='textbox' style='width:300px;' /></td>\n";
	echo "<td class='tbl' align='right'>".$req."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl' align='right'>".$locale['404']."</td>\n";
	echo "<td class='tbl'><input type='text' name='message_subject' maxlength='30' class='textbox' style='width:300px;' /></td>\n";
	echo "<td class='tbl' align='right'>".$req."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl' align='right'>".$locale['403']."</td>\n";
	echo "<td class='tbl'><input type='text' name='sender_email' maxlength='30' class='textbox' style='width:300px;' /></td>\n";
	echo "<td class='tbl' align='right'>".$req."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td valign='top' class='tbl' align='right'>".$locale['405']."<br /><br />\n";
	echo "<span id='message_display' style='padding: 1px 3px 1px 3px; border:1px solid; display:none;'>";
	echo "<strong>".(500 - mb_strlen($message_text))."</strong>";
	echo "</span></td>\n";
	echo "<td class='tbl'><textarea name='message_text' cols='60' rows='5' style='width:300px' class='textbox' onkeydown=\"message_counter(this,'message_display',500);\" onkeyup=\"message_counter(this,'message_display',500);\"></textarea></td>\n";
	echo "<td class='tbl' align='right'>".$req."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='100' class='tbl'>".$locale['407']."</td>\n";
	echo "<td class='tbl'>";
	include INCLUDES."captchas/".$settings['captcha']."/captcha_display.php";
	if (!isset($_CAPTCHA_HIDE_INPUT) || (isset($_CAPTCHA_HIDE_INPUT) && !$_CAPTCHA_HIDE_INPUT)) {
	echo "</td>\n<td class='tbl'>&nbsp;</td></tr>\n<tr>";
	echo "<td class='tbl'><label for='captcha_code'>".$locale['408']."</label></td>\n";
	echo "<td class='tbl'>";
	echo "<input type='text' id='captcha_code' name='captcha_code' class='textbox' autocomplete='off' style='width:100px' />";
	}
	echo "</td>\n<td class='tbl'>".$req."</td></tr>\n<tr>\n";
	echo "<td class='tbl' colspan='3' align='center'><input type='submit' name='sendmessage' value='".$locale['406']."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>\n";

closetable();
   }
   
echo "<script language='JavaScript' type='text/javascript'>\n";
echo "/* <![CDATA[ */\n";
echo "jQuery(document).ready(function() {
	jQuery('#message_display').show();
});

function message_counter(textarea, counterID, maxLen) {
cnt = document.getElementById(counterID);
if (textarea.value.length >= maxLen)
{
textarea.value = textarea.value.substring(0,maxLen);
}
cnt.innerHTML = maxLen - textarea.value.length;
}";
echo "/* ]]>*/\n";
echo "</script>\n";


require_once THEMES."templates/footer.php";
?>